// Configuration file reference (and defaults). When overriding only those setting can be specified.
sampleproducer {

  // Project Id
  project_id = "sample"

  // Record source id (sensor id)
  record_source_id = "sample"

  // Interval to produce record in (in seconds)
  interval = 10

  // Settings for Kafka
  kafkasettings {
    client_id = "sample"

    // Brokers
    bootstrap_servers = [
      "gv-kafka-prod-kafka-0.gv-kafka-prod-broker.green-village.svc.prod.grace.surfsara.nl:9092",
      "gv-kafka-prod-kafka-1.gv-kafka-prod-broker.green-village.svc.prod.grace.surfsara.nl:9092",
      "gv-kafka-prod-kafka-2.gv-kafka-prod-broker.green-village.svc.prod.grace.surfsara.nl:9092",
      "gv-kafka-prod-kafka-3.gv-kafka-prod-broker.green-village.svc.prod.grace.surfsara.nl:9092",
      "gv-kafka-prod-kafka-4.gv-kafka-prod-broker.green-village.svc.prod.grace.surfsara.nl:9092",
      "gv-kafka-prod-kafka-5.gv-kafka-prod-broker.green-village.svc.prod.grace.surfsara.nl:9092",
      "gv-kafka-prod-kafka-6.gv-kafka-prod-broker.green-village.svc.prod.grace.surfsara.nl:9092"
    ]

    // Schema registry describing Avro schema per topic
    schema_registry =  "http://gv-sr-prod-schema-registry.green-village.svc.prod.grace.surfsara.nl:8081"

    // Security protocol
    security_protocol = "SASL_PLAINTEXT"

    // Topics to produce to
    topic = "sample"
  }

}
